package edu.stanford.db.rdf.query.conditions;

import edu.stanford.db.rdf.query.*;
import org.w3c.rdf.model.*;

/**
 * General equality of RDF nodes.
 */

public class Equal implements ConditionEvaluator {

  public int getArity() {

    return 2;
  }
  
  public boolean holds(RDFNode[] n) {
    
    return (n[0] != null && n[1] != null && n[0].equals(n[1]));
  }
}
