package edu.stanford.db.rdf.query.conditions.numeric;

import edu.stanford.db.rdf.query.*;
import org.w3c.rdf.model.*;

public class IsDouble implements ConditionEvaluator {

  public int getArity() {

    return 1;
  }

  public boolean holds(RDFNode[] n) {

    if(!(n[0] instanceof Literal))
      return false;

    try {
      Double.parseDouble(n[0].getLabel());
      return true;
    } catch (NumberFormatException nfe) {
    } catch (ModelException me) {
    }

    return false;
  }
}
