package com.interdataworking.gateway.sqlddl;

import java.io.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;
import org.xml.sax.InputSource;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;

public class SQLDDL2Obj implements RDFParser {

  public void parse(InputSource source, RDFConsumer consumer) throws SAXException {

    Reader r = source.getCharacterStream();
    if(r == null)
      r = new InputStreamReader(source.getByteStream());
    SQLDDL p = new SQLDDL(r);
    try {
      p.parseDDL(consumer);
    } catch (Exception me) {
      me.printStackTrace(System.err);
      throw new SAXException(me);
    }
  }

  public void setErrorHandler (ErrorHandler handler) {
    // do nothing
  }
}
