package com.interdataworking.mm.alg;

import com.interdataworking.*;
import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;
import java.util.*;
import java.io.*;

public class MapToText implements RDFSerializer {

  public void serialize(Model m, Writer w) throws ModelException, IOException {

    List l = MapPair.toMapPairs(m);
    Object[] a = l.toArray();
    MapPair.sort(a);

    Iterator it = Arrays.asList(a).iterator();
    while(it.hasNext()) {

      MapPair p = (MapPair)it.next();
      w.write(p.toString());
      w.write('\n');
      w.flush();
    }
    //    w.write("Total map entries: " + a.length + "\n");
    w.flush();
  }
}
