package com.interdataworking.mm.gui;

import javax.swing.*;
import javax.swing.tree.*;
//import javax.swing.event.*;
//import javax.swing.text.*;
//import javax.swing.border.*;
//import javax.swing.colorchooser.*;
//import javax.swing.filechooser.*;
import javax.swing.table.*;
import javax.accessibility.*;

//import java.awt.*;
import java.awt.Graphics2D;
import java.awt.Graphics;
import java.awt.RenderingHints;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.geom.*;
import java.awt.Insets;
import java.awt.BorderLayout;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Dimension;
import java.awt.event.*;
//import java.awt.geom.*;
import java.beans.*;
import java.util.*;
import java.io.*;
import java.applet.*;
import java.net.*;
import java.text.DecimalFormat;

public class PointerBox extends JComponent {

  //  Object peer;

  boolean mouseOver = false;
  boolean selected = false;
  boolean unmatched = false;

  static Color grayedColor = Color.lightGray; // new Color(100, 100, 100);
  static Color selectedColor = Color.red; // new Color(100, 0, 0);
  static Color mouseOverColor = Color.blue; // new Color(100, 0, 0);
  static Color unmatchedColor = new Color(0, 200, 0);

  public PointerBox(int x, int y, int w, int h) {

    super();
    setBounds(new Rectangle(x, y, w, h));
    Dimension d = new Dimension(w, h);
    setPreferredSize(d);
    setMinimumSize(d);
    setMaximumSize(d);
    setEnabled(true);
  }

  public void setUnmatched(boolean b) {

    unmatched = b;
    //    invalidate();
    //    repaint();
  }

//   public void setPeer(Object o) {

//     peer = o;
//   }

//   public Object getPeer() {

//     return peer;
//   }

  public void paint(Graphics g) {

    Graphics2D g2d = (Graphics2D) g;

    Color c = selected ? selectedColor : (mouseOver ? mouseOverColor : (unmatched ? unmatchedColor : grayedColor));
    g2d.setColor(c);
    g2d.drawRect(0, 0, getWidth()-1, getHeight()-1);
    //    System.err.println("Drawing pointer box: " + selected);
  }
}
