package edu.stanford.db.util;

import java.util.*;

public class IntHolder {

  int value;

  public IntHolder(int value) {

    this.value = value;
  }

  public int getValue() {

    return value;
  }

  public void setValue(int value) {

    this.value = value;
  }

  public void inc() {

    value++;
  }

  public String toString() {

    return Integer.toString(value);
  }

  public static IntHolder getAdd(Object lookup, Map map) {

    IntHolder h = (IntHolder)map.get(lookup);
    if(h == null)
      map.put(lookup, h = new IntHolder(0));
    return h;
  }
}
